Update
Request address
POST
https://sandbox.j-pay.net/pay/bank/update
Test account
Merchant ID:10010
ApiKey: 7e4nicn14nhyup146dfbi8hpnpus9juz
Request headers
| Header Name | Header Value |
|---|---|
| Agent-Merchant-Id | 10010 |
Request parameters
| Parameter Name | Type | Required | Sign(Y OR N) | Parameter Description |
|---|---|---|---|---|
| memberid | String | Y | Y | Merchant id |
| id | String | Y | Y | Bank account ID |
| bank_name | String | N | N | Bank name |
| account | String | N | N | Account number(Do not add a licensed receiving account) |
| subbranch | String | N | N | Sub-Branch name |
| address | String | N | N | Bank address |
| swift_code | String | N | N | SWIFT code, required for other bank accounts. |
| remark | String | N | N | Remark |
| sign | String | Y | N | Please see the verification signature field format |
Response Parameters
| Parameter Name | Type | Parameter Description |
|---|---|---|
| code | String | Status of the request 1:Successful 0:Fail |
| info | String | Message of the request |
Demo
- Javascript
- Php
- Python
import { md5 } from "js-md5";
import axios from "axios";
const KEY = "7e4nicn14nhyup146dfbi8hpnpus9juz";
const MEMBER_ID = "10010";
let query = {
memberid: "10304",
id: "f0ad4f38fd2340b09193755a1ef8982f",
};
let signData = [];
Object.keys(query)
.sort()
.forEach((key) => signData.push(`${key}=${query[key]}`));
signData.push(`key=${KEY}`);
Object.assign(query, {
sign: md5(signData.join("&")).toUpperCase(),
swift_code: 'ETHBUSD1',
bank_name: 'ETH1',
account: '0000000000000000',
type: 'other',
});
axios
.request({
url: "https://sandbox.j-pay.net/pay/bank/update",
method: "post",
headers: {
"Agent-Merchant-Id": MEMBER_ID,
"Content-Type": "application/x-www-form-urlencoded",
},
data: query,
})
.then(({ data }) => {
console.log("success", data);
})
.catch((error) => {
console.log("error", error);
});
Continuously updating...
Continuously updating...